﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Admin.Business.Businesses
{
    public static class Categories
    {
        public static Adams.Admin.DataTransfer.Businesses.Categories.PageLoad PageLoad()
        {
            return DataAccess.Businesses.Categories.PageLoad();
        }

        public static Adams.Admin.DataTransfer.Businesses.Categories.GetType GetType(Adams.Admin.DataTransfer.Businesses.Categories.GetTypeInput input)
        {
            return DataAccess.Businesses.Categories.GetType(input);
        }

        public static Adams.Admin.DataTransfer.Businesses.Categories.GetCategory GetCategory(Adams.Admin.DataTransfer.Businesses.Categories.GetCategoryInput input)
        {
            return DataAccess.Businesses.Categories.GetCategory(input);
        }

        public static DataTransfer.FormOutput SaveType(DataTransfer.Businesses.Categories.TypeFormInput input)
        {
            var output = Validation.PerformBasicValidation(input);

            if (output.IsValid)
            {
                output.ID = DataAccess.Businesses.Categories.SaveType(input);
                output.IsSaved = true;
            }

            return output;
        }

        public static DataTransfer.FormOutput SaveCategory(DataTransfer.Businesses.Categories.CategoryFormInput input)
        {
            var output = Validation.PerformBasicValidation(input);

            if (output.IsValid)
            {
                output.ID = DataAccess.Businesses.Categories.SaveCategory(input);
                output.IsSaved = true;
            }

            return output;
        }

        public static void DeleteType(int typeId)
        {
            DataAccess.Businesses.Categories.DeleteType(typeId);
        }

        public static void DeleteCategory(int categoryId)
        {
            DataAccess.Businesses.Categories.DeleteCategory(categoryId);
        }
    }
}
