﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Admin.Business.Classifieds
{
    public static class Create
    {
        public static Adams.Admin.DataTransfer.Classifieds.Create.PageLoad PageLoad(int id)
        {
            return DataAccess.Classifieds.Create.PageLoad(id);
        }

        public static Adams.Shared.Entities.Classifieds.CategoryCollection GetCategoriesByType(int typeId)
        {
            return DataAccess.Classifieds.Create.GetCategoriesByType(typeId);
        }

        public static DataTransfer.FormOutput Save(DataTransfer.Classifieds.Create.FormInput input)
        {
            var output = Validation.PerformBasicValidation(input);

            if (output.IsValid)
            {
                DataAccess.Classifieds.Create.Save(input);
                output.IsSaved = true;
            }

            return output;
        }
    }
}
