﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Admin.Business.Events
{
    public static class CreateCalendar
    {
        public static Adams.Admin.DataTransfer.Events.CreateCalendar.PageLoad PageLoad(int id)
        {
            return DataAccess.Events.CreateCalendar.PageLoad(id);
        }

        public static DataTransfer.FormOutput SaveCalendar(DataTransfer.Events.CreateCalendar.FormInput input)
        {
            var output = Validation.PerformBasicValidation(input);

            if (output.IsValid)
            {
                DataAccess.Events.CreateCalendar.Save(input);
                output.IsSaved = true;
            }

            return output;
        }
    }
}
