﻿
using System.ComponentModel.DataAnnotations;
namespace Adams.Admin.DataTransfer.Businesses.Categories
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Businesses.TypeCollection Types { get; set; }
    }

    public class GetType
    {
        public Shared.Entities.Businesses.Type Type { get; set; }
    }

    public class GetTypeInput
    {
        public int TypeID { get; set; }
    }

    public class GetCategory
    {
        public Shared.Entities.Businesses.Category Category { get; set; }
    }

    public class GetCategoryInput
    {
        public int CategoryID { get; set; }
    }

    public class TypeFormInput
    {
        [Integer]
        public string ID { get; set; }

        [Required]
        [StringLength(50)]
        public string Name { get; set; }
    }

    public class CategoryFormInput
    {
        [Integer]
        public string ID { get; set; }

        [Required]
        [Integer]
        public string TypeID { get; set; }

        [Required]
        [StringLength(50)]
        public string Name { get; set; }
    }
}
