﻿using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.Events.CreateCalendar
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Events.Calendar Calendar { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }

        [Required]
        [StringLength(50)]
        public string Name { get; set; }

        [Required]
        [StringLength(255)]
        public string Description { get; set; }

        [Required]
        [StringLength(10)]
        public string Color { get; set; }
    }
}
