﻿using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.Pages.Create
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Pages.Page Page { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }

        [Required]
        [StringLength(100)]
        public string Title { get; set; }

        [Required]
        [StringLength(255)]
        public string Url { get; set; }

        [Required]
        public string Content { get; set; }
    }
}
