﻿
using System.ComponentModel.DataAnnotations;
namespace Adams.Admin.DataTransfer.Sitemap.Index
{
    public class PageLoad
    {
        public Shared.Entities.Sitemap.Node HomeNode { get; set; }
    }

    public class GetNodes
    {
        public Shared.Entities.Sitemap.NodeCollection Nodes { get; set; }
    }

    public class UpdateInput
    {
        public int ParentNodeID { get; set; }
        public Shared.Entities.Sitemap.NodeCollection Nodes { get; set; }
    }

    public class GetNodeInput
    {
        public int NodeID { get; set; }
    }

    public class GetNode
    {
        public Shared.Entities.Sitemap.Node Node { get; set; }
    }

    public class NodeFormInput
    {
        public string ID { get; set; }

        public string ParentNodeID { get; set; }

        public string DisplayOrder { get; set; }

        [Required]
        [StringLength(100)]
        public string Title { get; set; }

        [Required]
        [StringLength(255)]
        public string Url { get; set; }
    }
}
