﻿$(function () {
    $("#submit").click(function () {
        Submit();
    });

    $("#body").keypress(function (event) {
        if (event.which == '13') {
            Submit();
        }
    });
});

function Submit() {

    $("#submit").hide();

    var input = {
        ID: $("#id").val(),
        Title: $("#Title").val(),
        ShortDescription: $("#ShortDescription").val(),
        Link: $("#Link").val(),
        StartDate: $("#StartDate").val(),
        EndDate: $("#EndDate").val(),
        LongDescription: $("#LongDescription").val()
    };

    Ajax({
        url: "/Announcements/Save",
        data: JSON.stringify(input),
        success: function (data) {
            if (data.IsValid == false) {
                ShowValidationErrors(data);
            } else if (data.IsSaved == true) {
                location.href = "/Announcements?msg=1";
            }
        },
        complete: function () {
            $("#submit").show();
        }
    });
}