﻿$(function () {
    $(".approve,.reject").click(function () {
        var pid = $(this).attr("pid");
        var action = $(this).val();
        var status = "";

        if (action == "Approve") {
            status = 2;
        } else if (action == "Reject") {
            status = 3;
        }

        Ajax({
            url: "/Businesses/UpdateStatus",
            data: JSON.stringify({ BusinessID: pid, StatusID: status }),
            success: function (data) {
                if (data.Success == true) {
                    pid = data.BusinessID;
                    $("#p_" + pid).fadeOut("slow");
                }
            }
        });
    });

    $(".delete").click(function () {
        var pid = $(this).attr("pid");

        if (confirm("are you sure?")) {
            Ajax({
                url: "/Businesses/PendingDelete",
                data: JSON.stringify({ id: pid }),
                success: function (data) {
                    if (data.Success == true) {
                        pid = data.BusinessID;
                        $("#p_" + pid).fadeOut("slow");
                    }
                }
            });
        }
    });
});