﻿$(function () {
    $("#submit").click(function () {
        Submit();
    });

    $("#body").keypress(function (event) {
        if (event.which == '13') {
            Submit();
        }
    });
});

function Submit() {

    $("#submit").hide();

    var input = {
        ID: $("#id").val(),
        FirstName: $("#FirstName").val(),
        LastName: $("#LastName").val(),
        Email: $("#Email").val(),
        Password: $("#Password").val(),
        IsActive: $("#IsActive").is(":checked"),
        IsLocked: $("#IsLocked").is(":checked"),
        Applications: new Array()
    };

    $('input[name="Applications"]:checked').each(function() {
        input.Applications.push($(this).val());
    });

    Ajax({
        url: "/Console/SaveUser",
        data: JSON.stringify(input),
        success: function (data) {
            if (data.IsValid == false) {
                ShowValidationErrors(data);
            } else if (data.IsSaved == true) {
                location.href = "/Console/Users?msg=1";
            }
        },
        complete: function () {
            $("#submit").show();
        }
    });
}
