﻿CREATE TABLE [Events].[Events]
(
	EventID int NOT NULL IDENTITY(1,1), 
	CalendarID int NULL,
	Title varchar(100) NOT NULL,
	ShortDescription varchar(50) NULL,
	[Description] text NULL,
	Location varchar(255) NULL,
	StartDate datetime NULL,
	EndDate datetime NULL,
	TimeZone int NOT NULL,
	IsAllDay bit NOT NULL,
	IsRepeat bit NOT NULL,
	RepeatType int NULL,
	RepeatEndType int NULL,
	RepeatEndOccurences int NULL,
	RepeatEndDate datetime NULL,
	RepeatEvery int NULL,
	RepeatStartsOn datetime NULL,
	RepeatWeeklySun bit NULL,
	RepeatWeeklyMon bit NULL,
	RepeatWeeklyTeu bit NULL,
	RepeatWeeklyWed bit NULL,
	RepeatWeeklyThu bit NULL,
	RepeatWeeklyFri bit NULL,
	RepeatWeeklySat bit NULL,
	RepeatMonthlyBy int NULL
)
