﻿CREATE TABLE [Finance].[Transactions]
(
	TransactionID int NOT NULL IDENTITY(786000000,1),
	TypeID int NOT NULL,
	ReferenceID int NOT NULL,
	MemberID int NULL,
	Amount money NOT NULL,
	CreditCardNumber varchar(255) NOT NULL,
	CreditCardExpireMonth tinyint NOT NULL,
	CreditCardExpireYear smallint NOT NULL,	
	AuthAddress varchar(255) NOT NULL,
	AuthCity varchar(255) NOT NULL,
	AuthState varchar(255) NOT NULL,
	AuthZip varchar(255) NOT NULL,
	AuthEmail varchar(255) NOT NULL,
	AuthFirstName varchar(255) NOT NULL,
	AuthLastName varchar(255) NOT NULL,
	AuthPhone varchar(255) NOT NULL,
	AuthCustId varchar(255) NULL,
	AuthInvoiceNum varchar(255) NULL,
	ResponseApproved bit NULL,
	ResponseTransactionID varchar(255) NULL,
	ResponseResponseCode varchar(255) NULL,
	ResponseAuthorizationCode varchar(255) NULL,
	ResponseMessage varchar(255) NULL
)
