﻿CREATE TABLE [Membership].[Members]
(
	MemberID int NOT NULL IDENTITY(1,1), 
	FirstName varchar(50) NOT NULL,
	LastName varchar(50) NOT NULL,
	Email varchar(255) NOT NULL,
	Street varchar(100) NOT NULL,
	Street2 varchar(100) NOT NULL,
	City varchar(50) NOT NULL,
	State varchar(2) NOT NULL,
	ZipCode varchar(10) NOT NULL,
	Phone varchar(15) NOT NULL,
	PasswordHash varchar(50) NOT NULL,
	PasswordSalt varchar(50) NOT NULL,
	IsActive bit NOT NULL,
	IsLocked bit NOT NULL,
	IsEmailConfirmed bit NOT NULL,
	LastLoginAttempt smalldatetime NULL,
	FailedLoginAttempts int NULL
)
