﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Public.Api.Controllers
{
    [EnsureHttps]
    public class EidPrayersController : Controller
    {
        public ActionResult GetLocations()
        {
            var model = DataAccess.EidPrayers.GetLocations();
            return new JsonXmlResult(model);
        }

        public ActionResult GetLocation(Adams.Public.DataTransfer.EidPrayers.GetLocationInput input)
        {
            var model = DataAccess.EidPrayers.GetLocation(input);
            return new JsonXmlResult(model);
        }
    }
}
