﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Public.Api.Controllers
{
    [EnsureHttps]
    public class PagesController : Controller
    {
        public ActionResult GetPage(Adams.Public.DataTransfer.Pages.GetPageInput input)
        {
            input.Url = "/" + input.Url.Trim('/');
            var model = DataAccess.Pages.GetPage(input);
            return new JsonXmlResult(model);
        }
    }
}
