﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Adams.Public.DataTransfer.Security
{
    public class LoginInput
    {
        [Required]
        [Email]
        [StringLength(255)]
        public string Email { get; set; }

        [Required]
        [StringLength(50)]
        public string Password { get; set; }

        public string RememberMe { get; set; }
    }
}
