﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Create
{
    public class FormInput : DataTransfer.MemberInfo
    {
        public string ID { get; set; }

        [Required]
        [Integer]
        public string CategoryID { get; set; }

        [Required]
        [StringLength(70)]
        public string Name { get; set; }

        [Required]
        [StringLength(100)]
        public string Street { get; set; }

        [StringLength(100)]
        public string Street2 { get; set; }

        [Required]
        [StringLength(50)]
        public string City { get; set; }

        [Required]
        [StringLength(40)]
        public string State { get; set; }

        [Required]
        [StringLength(10)]
        public string Zip { get; set; }

        [Required]
        [StringLength(15)]
        public string Phone { get; set; }

        [Required]
        public string Description { get; set; }
    }
}
