﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Public.Web.Business.Web.Areas.Membership.Businesses
{
    public class Index
    {
        public static Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Index.PageLoad PageLoad(string token)
        {
            var input = new Adams.Public.DataTransfer.Businesses.GetMemberBusinesssInput() { 
                Token = token
            };
            var data = Api.GetData<Adams.Public.DataTransfer.Businesses.GetMemberBusinesss>("Businesses/GetMemberBusinesss", input);

            var model = new Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Index.PageLoad();
            model.Businesss = data.Businesss;

            return model;
        }

        public static Adams.Public.DataTransfer.FormOutput Renew(Adams.Public.DataTransfer.Businesses.RenewInput input)
        {
            var model = Api.GetData<Adams.Public.DataTransfer.FormOutput>("Businesses/Renew", input);
            model.ID = input.BusinessID.ToInt();
            return model;
        }

        public static Adams.Public.DataTransfer.FormOutput Remove(Adams.Public.DataTransfer.Businesses.RemoveInput input)
        {
            var model = Api.GetData<Adams.Public.DataTransfer.FormOutput>("Businesses/Remove", input);
            model.ID = input.BusinessID.ToInt();
            return model;
        }
    }
}
