﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Public.Web.Business.Web.Businesses
{
    public class List
    {
        public static Adams.Public.DataTransfer.Web.Businesses.List.PageLoad PageLoad(string type, string category)
        {
            var input = new Adams.Public.DataTransfer.Businesses.ListBusinesssInput() { 
                Type = type,
                Category = category
            };
            var model = new Adams.Public.DataTransfer.Web.Businesses.List.PageLoad();
            model.Type = type;
            model.Category = category;

            model.Businesss = Api.GetData<Adams.Shared.Entities.Businesses.BusinessCollection>("Businesses/ListBusinesss", input);
            return model;
        }
    }
}
