﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Public.Web.Controllers
{
    public class BusinessesController : Controller
    {
        [AppendLayoutViewModel]
        public ActionResult Index()
        {
            var model = Adams.Public.Web.Business.Web.Businesses.Index.PageLoad();
            return View(model);
        }

        [AppendLayoutViewModel]
        public ActionResult List(string type, string category)
        {
            var model = Adams.Public.Web.Business.Web.Businesses.List.PageLoad(type, category);
            return View(model);
        }

        [AppendLayoutViewModel]
        public ActionResult Search(string criteria)
        {
            var model = Adams.Public.Web.Business.Web.Businesses.Search.PageLoad(criteria);
            return View(model);
        }

        [AppendLayoutViewModel]
        public ActionResult Business(string id)
        {
            var model = Adams.Public.Web.Business.Web.Businesses.Business.PageLoad(id.ToInt());
            return View(model);
        }
    }
}
