﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Net;
using System.IO;
using System.Xml.Serialization;
using System.Xml;

namespace Adams.Public.Web.Controllers
{
    public class EventsController : Controller
    {
        [AppendLayoutViewModel]
        public ActionResult Index()
        {
            var model = Business.Web.Events.Index.PageLoad();
            return View(model);
        }

        public JsonResult GetEvents(Adams.Public.DataTransfer.Events.GetEventsInput input)
        {
            var model = Business.Events.GetEvents(input);
            return Json(model);
        }

        [AppendLayoutViewModel]
        public ActionResult Event(Adams.Public.DataTransfer.Events.GetEventInput input)
        {
            var model = Business.Web.Events.Event.PageLoad(input);
            return View(model);
        }
    }
}
