﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Public.Web.Controllers
{
    public class JummahPrayersController : Controller
    {
        [AppendLayoutViewModel]
        public ActionResult Index()
        {
            var model = Business.Web.JummahPrayers.Index.PageLoad();
            return View(model);
        }

        [AppendLayoutViewModel]
        public ActionResult Location(DataTransfer.JummahPrayers.GetLocationInput input)
        {
            input.Location = Adams.Shared.UrlHelper.Dec(input.Location);
            var model = Business.Web.JummahPrayers.Location.PageLoad(input);
            return View(model);
        }
    }
}
