﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.DailyPrayers
{
    public class Location
    {
        public int ID { get; set; }
        public bool IsMaster { get; set; }
        public bool InheritMaster { get; set; }
        public string Name { get; set; }
        public string Street { get; set; }
        public string Street2 { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string ZipCode { get; set; }
        public string LongNote { get; set; }
        public decimal Latitude { get; set; }
        public decimal Longitude { get; set; }
        public int TimeZone { get; set; }
        public int DisplayOrder { get; set; }
        public PrayerTimeCollection PrayerTimes { get; set; }
    }

    public class LocationCollection : List<Location>
    {

    }
}
