﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.Events
{
    public class Schedule
    {
        public int ID { get; set; }
        public int ScheduleType  { get; set; }
        public DateTime StartTime  { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public int EndType { get; set; }
        public DateTime OneTimeOnlyDateTime { get; set; }
        public int DailyType { get; set; }
        public int DailyEveryNDaysValue { get; set; }
        public int WeeklyEveryNWeeks { get; set; }
        public bool WeeklyMonday { get; set; }
        public bool WeeklyTuesday { get; set; }
        public bool WeeklyWednesday { get; set; }
        public bool WeeklyThursday { get; set; }
        public bool WeeklyFriday { get; set; }
        public bool WeeklySaturday { get; set; }
        public bool WeeklySunday { get; set; }
        public int MonthlyType { get; set; }
        public int MonthlyDayValue { get; set; }
        public int MonthlyRelativeDay { get; set; }
        public int MonthlyRelativeWeekDay { get; set; }
        public bool MonthlyJanuary { get; set; }
        public bool MonthlyFebruary { get; set; }
        public bool MonthlyMarch { get; set; }
        public bool MonthlyApril { get; set; }
        public bool MonthlyMay { get; set; }
        public bool MonthlyJune { get; set; }
        public bool MonthlyJuly { get; set; }
        public bool MonthlyAugust { get; set; }
        public bool MonthlySeptember { get; set; }
        public bool MonthlyOctober { get; set; }
        public bool MonthlyNovember { get; set; }
        public bool MonthlyDecember { get; set; }
        public Event Event { get; set; }
    }

    public class ScheduleCollection : List<Schedule>
    {

    }
}
