﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.Finance
{
    public class CreditCard
    {
        public int ID { get; set; }
        public string Title { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Street { get; set; }
        public string Street2 { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string ZipCode { get; set; }
        public string Phone { get; set; }
        public string CardHolderName { get; set; }
        public string CardType { get; set; }
        public string CardNumber { get; set; }
        public string CardLast4Digits { get; set; }
        public int CardExpireMonth { get; set; }
        public int CardExpireYear { get; set; }
        public string CardSecurityCode { get; set; }
        public Shared.Entities.Membership.Member Member { get; set; }
    }

    public class CreditCardCollection : List<CreditCard>
    {

    }
}