﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using Adams.Web.Models;

namespace Adams.Web.Areas.MyAdams.Models.Classifieds.Create
{
    public class FormInput : Models.MemberInfo
    {
        public string ID { get; set; }

        [Required]
        [Integer]
        public string CategoryID { get; set; }

        [Required]
        [StringLength(50)]
        public string Title { get; set; }

        [Required]
        [StringLength(10)]
        public string Price { get; set; }

        [Required]
        [StringLength(40)]
        public string Location { get; set; }

        [Required]
        [StringLength(255)]
        public string ReplyTo { get; set; }

        [Required]
        public string Description { get; set; }
    }
}
