﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Adams.Web.Areas.MyAdams.Models.Profile.CreditCard
{
    public class FormInput
    {
        [StringLength(50)]
        public string Title { get; set; }

        [Required]
        [StringLength(50)]
        public string FirstName { get; set; }

        [Required]
        [StringLength(50)]
        public string LastName { get; set; }

        [Required]
        [StringLength(100)]
        public string Street { get; set; }

        [StringLength(100)]
        public string Street2 { get; set; }

        [Required]
        [StringLength(50)]
        public string City { get; set; }

        [Required]
        [StringLength(2)]
        public string State { get; set; }

        [Required]
        [StringLength(10)]
        public string ZipCode { get; set; }

        [Required]
        [StringLength(15)]
        public string Phone { get; set; }

        [Required]
        [StringLength(100)]
        public string CardHolderName { get; set; }

        [Required]
        [StringLength(50)]
        public string CardType { get; set; }

        [Required]
        [Adams.Web.Models.CreditCard]
        public string CardNumber { get; set; }

        [Required]
        [Range(1, 12)]
        public int CardExpireMonth { get; set; }

        [Required]
        public int CardExpireYear { get; set; }

        [Required]
        [StringLength(50)]
        public string CardSecurityCode { get; set; }
    }
}
