﻿$(function () {
    $("#submit").click(function () {
        Submit();
    });

    $("#body").keypress(function (event) {
        if (event.which == '13') {
            Submit();
        }
    });

    $("#TypeID").change(function () {
        Ajax({
            url: "/MyAdams/Classifieds/GetCategoriesByType",
            data: JSON.stringify({ typeId: $("#TypeID").val() }),
            success: function (data) {
                $("#CategoryID option:not(:first)").remove();
                for (var i in data) {
                    $("#CategoryID").append("<option value=\"" + data[i].ID + "\">" + data[i].Name + "</option>");
                }
            }
        });
    });
});

function Submit() {

    $("#submit").hide();
    var input = {
        ID: $("#id").val(),
        CategoryID: $("#CategoryID").val(),
        Title: $("#Title").val(),
        Price: $("#Price").val(),
        Location: $("#Location").val(),
        ReplyTo: $("#ReplyTo").val(),
        Description: $("#Description").val()
    };
    
    Ajax({
        url: "/MyAdams/Classifieds/Save",
        data: JSON.stringify(input),
        success: function (data) {
            if (data.IsValid == false) {
                ShowValidationErrors(data);
            } else if (data.IsSaved == true) {
                location.href = "/MyAdams/Classifieds/?msg=1";
            }
        },
        complete: function () {
            $("#submit").show();
        }
    });
}