﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Web.Controllers
{
    public class DailyPrayersController : Controller
    {
        [AppendLayoutModel]
        public ActionResult Index(string location, string month)
        {
            location = Adams.Shared.UrlHelper.Dec(location);
            month = Adams.Shared.UrlHelper.Dec(month);

            var model = Logic.DailyPrayers.Index.PageLoad(location, month);
            ViewBag.Month = month;
            return View(MobileCheck.IsMobile() ? "Index.Mobile" : "Index", model);
        }
    }
}
