﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Net;
using System.IO;
using System.Xml.Serialization;
using System.Xml;

namespace Adams.Web.Controllers
{
    public class NewsController : Controller
    {
        [AppendLayoutModel]
        public ActionResult Index(int page = 1)
        {
            var model = Logic.News.Index.PageLoad(page);
            return View(MobileCheck.IsMobile() ? "Index.Mobile" : "Index", model);
        }

        [AppendLayoutModel]
        public ActionResult Article(string titleorid)
        {
            titleorid = Shared.UrlHelper.Dec(titleorid);
            var model = Logic.News.Article.PageLoad(titleorid);
            if (model.Article == null)
            {
                return HttpNotFound();
            }
            else
            {
                return View(MobileCheck.IsMobile() ? "Article.Mobile" : "Article", model);
            }
        }
    }
}
