﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Web.Controllers
{
    public class TarawehPrayersController : Controller
    {
        [AppendLayoutModel]
        public ActionResult Index()
        {
            var model = Logic.TarawehPrayers.Index.PageLoad();
            return View(MobileCheck.IsMobile() ? "Index.Mobile" : "Index", model);
        }

        [AppendLayoutModel]
        public ActionResult Location(string location)
        {
            location = Adams.Shared.UrlHelper.Dec(location);
            var model = Logic.TarawehPrayers.Location.PageLoad(location);
            return View(MobileCheck.IsMobile() ? "Location.Mobile" : "Location", model);
        }
    }
}
