﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;

namespace Adams.Web.Logic
{
    public static class Layout
    {
        public static Adams.Web.Models.Layout.PageLoad PageLoad(int memberId, string url, bool isMobile)
        {
            var model = Data.Layout.PageLoad(memberId, url, isMobile);
            model.GregorianDate = DateTime.Now.ToString("MMMM dd, yyyy");
            model.HijriDate = Adams.Shared.CalendarHelper.GetHijriDate(DateTime.Now.AddDays(Shared.Config.GetAppSetting("HijriAdjust").ToInt()));
            return model;
        }
    }
}