﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Admin.Business.Donations
{
    public static class CreateBucket
    {
        public static Adams.Admin.DataTransfer.Donations.CreateBucket.PageLoad PageLoad(int id)
        {
            return DataAccess.Donations.CreateBucket.PageLoad(id);
        }

        public static DataTransfer.FormOutput Save(DataTransfer.Donations.CreateBucket.FormInput input)
        {
            var output = Validation.PerformBasicValidation(input);

            if (output.IsValid)
            {
                DataAccess.Donations.CreateBucket.Save(input);
                output.IsSaved = true;
            }

            return output;
        }
    }
}
