﻿using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.Console.CreateUser
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Console.User User { get; set; }
        public Adams.Shared.Entities.Console.ApplicationCollection Applications { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }
        
        [Required]
        [StringLength(50)]
        public string FirstName { get; set; }

        [Required]
        [StringLength(50)]
        public string LastName { get; set; }

        [Required]
        [StringLength(255)]
        [Email]
        public string Email { get; set; }

        [StringLength(50)]
        public string Password { get; set; }

        public bool IsActive { get; set; }

        public bool IsLocked { get; set; }

        public int[] Applications { get; set; }
    }
}
