﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.Classifieds.Create
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Classifieds.Posting Posting { get; set; }
        public Adams.Shared.Entities.Classifieds.TypeCollection Types { get; set; }
        public Adams.Shared.Entities.Classifieds.CategoryCollection Categories { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }

        [Required]
        [Integer]
        public string CategoryID { get; set; }

        [Required]
        [Integer]
        public string StatusID { get; set; }

        [Required]
        [Integer]
        public string MemberID { get; set; }

        [Required]
        [StringLength(50)]
        public string Title { get; set; }

        [Required]
        [StringLength(10)]
        public string Price { get; set; }

        [Required]
        [StringLength(40)]
        public string Location { get; set; }
        
        [Required]
        [StringLength(255)]
        public string ReplyTo { get; set; }
        
        [Required]
        public string Description { get; set; }
        
        [Required]
        [Date]
        public string ExpiresOn { get; set; }
    }
}
