﻿using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.Console.Profile
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Console.User User { get; set; }
    }

    public class FormInput
    {
        public int ID { get; set; }

        [Required]
        [StringLength(50)]
        public string FirstName { get; set; }

        [Required]
        [StringLength(50)]
        public string LastName { get; set; }

        [Required]
        [StringLength(255)]
        public string Email { get; set; }

        public bool IsActive { get; set; }

        public bool IsLocked { get; set; }
    }
}
