﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.Home.Create
{
    public class PageLoad
    {
        public Adams.Shared.Entities.Announcements.Announcement Announcement { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }

        [Required]
        [StringLength(50)]
        public string Title { get; set; }
        
        [Required]
        [StringLength(255)]
        public string ShortDescription { get; set; }
        
        [StringLength(255)]
        public string Link { get; set; }
        
        [Required]
        public string StartDate { get; set; }
        
        [Required]
        public string EndDate { get; set; }
        
        [Required]
        public string LongDescription { get; set; }
    }
}
