﻿using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.JummahPrayers.CreatePrayer
{
    public class PageLoad
    {
        public Shared.Entities.JummahPrayers.Prayer Prayer { get; set; }
        public Shared.Entities.JummahPrayers.LocationCollection Locations { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }

        [Required]
        [Integer]
        public string Location { get; set; }

        [Required]
        [StringLength(50)]
        public string Name { get; set; }

        [Required]
        [StringLength(50)]
        public string Time { get; set; }

        [Required]
        [Integer]
        public string DisplayOrder { get; set; }
    }

}
