﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Adams.Admin.DataTransfer.PressReleases.Create
{
    public class PageLoad
    {
        public Adams.Shared.Entities.PressReleases.PressRelease PressRelease { get; set; }
    }

    public class FormInput
    {
        public string ID { get; set; }

        [Required]
        [StringLength(50)]
        public string Title { get; set; }

        [Required]
        [StringLength(255)]
        public string ShortDescription { get; set; }

        [Required]
        [Date]
        public string ReleaseDate { get; set; }

        [Required]
        public string LongDescription { get; set; }
    }
}
