﻿
using System.ComponentModel.DataAnnotations;
namespace Adams.Admin.DataTransfer.Sitemap.Web
{
    public class PageLoad
    {
        public Shared.Entities.Sitemap.WebTopNode TopHomeNode { get; set; }
        public Shared.Entities.Sitemap.WebBottomNode BottomHomeNode { get; set; }
        public Shared.Entities.Sitemap.WebLeftNode LeftHomeNode { get; set; }
    }

    public class UpdateTopInput
    {
        public int ParentNodeID { get; set; }
        public Shared.Entities.Sitemap.WebTopNodeCollection Nodes { get; set; }
    }

    public class GetTopNodeInput
    {
        public int NodeID { get; set; }
    }

    public class GetTopNode
    {
        public Shared.Entities.Sitemap.WebTopNode Node { get; set; }
    }

    public class NodeTopFormInput
    {
        public string ID { get; set; }

        public string ParentNodeID { get; set; }

        public string DisplayOrder { get; set; }

        [Required]
        [StringLength(100)]
        public string Title { get; set; }

        [Required]
        [StringLength(255)]
        public string Url { get; set; }
    }

    public class UpdateLeftInput
    {
        public int ParentNodeID { get; set; }
        public Shared.Entities.Sitemap.WebLeftNodeCollection Nodes { get; set; }
    }

    public class GetLeftNodeInput
    {
        public int NodeID { get; set; }
    }

    public class GetLeftNode
    {
        public Shared.Entities.Sitemap.WebLeftNode Node { get; set; }
    }

    public class NodeLeftFormInput
    {
        public string ID { get; set; }

        public string ParentNodeID { get; set; }

        public string DisplayOrder { get; set; }

        [Required]
        [StringLength(100)]
        public string Title { get; set; }

        [Required]
        [StringLength(255)]
        public string Url { get; set; }
    }

    public class UpdateBottomInput
    {
        public int ParentNodeID { get; set; }
        public Shared.Entities.Sitemap.WebBottomNodeCollection Nodes { get; set; }
    }

    public class GetBottomNodeInput
    {
        public int NodeID { get; set; }
    }

    public class GetBottomNode
    {
        public Shared.Entities.Sitemap.WebBottomNode Node { get; set; }
    }

    public class NodeBottomFormInput
    {
        public string ID { get; set; }

        public string ParentNodeID { get; set; }

        public string DisplayOrder { get; set; }

        [Required]
        [StringLength(100)]
        public string Title { get; set; }

        [Required]
        [StringLength(255)]
        public string Url { get; set; }
    }
}
