﻿$(function () {
    $("#records").ggrid({
        url: '/Businesses/GridLoad',
        dataType: 'json',
        columns: [
		    { display: 'Name', name: 'Name', width: 180, sortable: true, align: 'left' },
            { display: 'Type', name: 'Type', width: 40, sortable: true, align: 'left' },
		    { display: 'Category', name: 'Category', width: 180, sortable: true, align: 'left' },
            { display: 'Email', name: 'Email', width: 180, sortable: true, align: 'left' },
            { display: 'CreatedOn', name: 'CreatedOn', width: 180, sortable: true, align: 'left', formatFunction: formatDate },
            { display: 'ExpiresOn', name: 'ExpiresOn', width: 180, sortable: true, align: 'left', formatFunction: formatDate }
		],
        actions: [
		    { idColumn: 'ID', image: '/Content/images/pencil.png', action: '/Businesses/Create/{0}', showConfirm: false },
		    { idColumn: 'ID', image: '/Content/images/cross.png', action: '/Businesses/Delete/{0}', showConfirm: true }
		],
        defaultSort: "Name",
        defaultSortOrder: "asc",
        usePaging: true,
        pageSize: 10,
        width: 'auto',
        height: 'auto'
    });
});