﻿$(function () {
    $("#records").ggrid({
        url: '/Classifieds/GridLoad',
        dataType: 'json',
        columns: [
		    { display: 'Title', name: 'Title', width: 180, sortable: true, align: 'left' },
            { display: 'Type', name: 'Type', width: 40, sortable: true, align: 'left' },
		    { display: 'Category', name: 'Category', width: 180, sortable: true, align: 'left' },
            { display: 'Email', name: 'Email', width: 180, sortable: true, align: 'left' },
            { display: 'CreatedOn', name: 'CreatedOn', width: 180, sortable: true, align: 'left', formatFunction: formatDate },
            { display: 'ExpiresOn', name: 'ExpiresOn', width: 180, sortable: true, align: 'left', formatFunction: formatDate }
		],
        actions: [
		    { idColumn: 'ID', image: '/Content/images/pencil.png', action: '/Classifieds/Create/{0}', showConfirm: false },
		    { idColumn: 'ID', image: '/Content/images/cross.png', action: '/Classifieds/Delete/{0}', showConfirm: true }
		],
        defaultSort: "ExpiresOn",
        defaultSortOrder: "desc",
        usePaging: true,
        pageSize: 10,
        width: 'auto',
        height: 'auto'
    });
});