﻿CREATE TABLE [Donations].[Quick]
(
	DonationID int NOT NULL IDENTITY(1,1), 
	BucketID int NOT NULL,
	Amount money NOT NULL,
	Title varchar(50) NOT NULL,
	FirstName varchar(50) NOT NULL,
	LastName varchar(50) NOT NULL,
	Email varchar(255) NOT NULL,
	Street varchar(100) NOT NULL,
	Street2 varchar(100) NULL,
	City varchar(50) NOT NULL,
	State varchar(2) NOT NULL,
	ZipCode varchar(10) NOT NULL,
	Phone varchar(15) NOT NULL,
	CardHolderName varchar(100) NOT NULL,
	CardNumber varchar(255) NOT NULL,
	CardType varchar(50) NOT NULL,
	CardLast4Digits varchar(4) NOT NULL,
	CardExpireMonth tinyint NOT NULL,
	CardExpireYear smallint NOT NULL,
	CardSecurityCode varchar(50) NOT NULL,
	EnteredOn smalldatetime NOT NULL,
	ProcessedOn smalldatetime NULL,
	StatusID int NOT NULL,
	TransactionID int NULL
)
