﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Public.Api.Controllers
{
    [EnsureHttps]
    public class EventsController : Controller
    {
        public ActionResult GetEvents(Adams.Public.DataTransfer.Events.GetEventsInput input)
        {
            var model = DataAccess.Events.GetEvents(input);
            return new JsonXmlResult(model);
        }

        public ActionResult GetEvent(Adams.Public.DataTransfer.Events.GetEventInput input)
        {
            var model = DataAccess.Events.GetEvent(input);
            return new JsonXmlResult(model);
        }
    }
}
