﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Public.Api.Controllers
{
    [EnsureHttps]
    public class PressReleasesController : Controller
    {
        public ActionResult GetPressReleases()
        {
            var model = DataAccess.PressReleases.GetPressReleases();
            return new JsonXmlResult(model);
        }

        public ActionResult GetPressRelease(int id)
        {
            var model = DataAccess.PressReleases.GetPressRelease(id);
            return new JsonXmlResult(model);
        }
    }
}
