﻿using System;
using System.IO;
using System.Security.Cryptography;

namespace Adams.Public.DataAccess
{
    public class Email
    {
        public static void QueueEmail(string subject, string from, string to, string body, int priority)
        {
            DB.RunScalar("usp_QueueEmail", System.Data.CommandType.StoredProcedure, 
                DB.CreateParameter("@Subject", subject, System.Data.SqlDbType.VarChar, 255),
                DB.CreateParameter("@From", from, System.Data.SqlDbType.VarChar, 255),
                DB.CreateParameter("@To", to, System.Data.SqlDbType.VarChar, 255),
                DB.CreateParameter("@Body", body, System.Data.SqlDbType.Text),
                DB.CreateParameter("@Priority", priority, System.Data.SqlDbType.TinyInt));       
        }
    }
}