﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Public.Web.Business.Web.Areas.Membership.Businesses
{
    public class Create
    {
        public static Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Create.PageLoad PageLoad(string token, int BusinessId)
        {
            var input = new Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Create.PageLoadInput() {
                Token = token,
                BusinessID = BusinessId
            };

            var model = Api.GetData<Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Create.PageLoad>("Web/Membership/Businesses/CreatePageLoad", input);
            return model;
        }

        public static Adams.Shared.Entities.Businesses.CategoryCollection GetCategoriesByType(int typeId)
        {
            var input = new Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Create.GetCategoriesByTypeInput() {
                TypeID = typeId
            };

            var model = Api.GetData<Adams.Shared.Entities.Businesses.CategoryCollection>("Web/Membership/Businesses/GetCategoriesByType", input);
            return model;
        }

        public static DataTransfer.FormOutput Save(Adams.Public.DataTransfer.Web.Areas.Membership.Businesses.Create.FormInput input)
        {
            var model = Api.GetData<DataTransfer.FormOutput>("Web/Membership/Businesses/Save", input);
            return model;
        }
    }
}
