﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Public.Web.Business.Web.Areas.Membership.Donations
{
    public class Confirm
    {
        public static Adams.Public.DataTransfer.Web.Areas.Membership.Donations.Confirm.PageLoad PageLoad(string donationId, string recurring, string token)
        {
            var input = new Adams.Public.DataTransfer.Web.Areas.Membership.Donations.Confirm.PageLoadInput()
            {
                Token = token,
                Recurring = recurring,
                DonationID = donationId
            };

            var model = Api.GetData<Adams.Public.DataTransfer.Web.Areas.Membership.Donations.Confirm.PageLoad>("Web/Membership/Donations/ConfirmPageLoad", input);          
            return model;
        }

        public static Adams.Public.DataTransfer.FormOutput SaveDonation(Adams.Public.DataTransfer.Web.Areas.Membership.Donations.Donate.FormInput input)
        {
            var model = Api.GetData<DataTransfer.FormOutput>("Web/Membership/Donations/SaveDonation", input);
            return model;
        }

        public static Adams.Public.DataTransfer.FormOutput ConfirmDonation(Adams.Public.DataTransfer.Web.Areas.Membership.Donations.Confirm.FormInput input)
        {
            var model = Api.GetData<DataTransfer.FormOutput>("Web/Membership/Donations/ConfirmDonation", input);
            return model;
        }
    }
}
