﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Public.Web.Business.Web.Classifieds
{
    public class Search
    {
        public static Adams.Public.DataTransfer.Web.Classifieds.Search.PageLoad PageLoad(string search)
        {
            var input = new Adams.Public.DataTransfer.Classifieds.SearchPostingsInput()
            {
                Search = search
            };

            var model = new Adams.Public.DataTransfer.Web.Classifieds.Search.PageLoad();
            model.Criteria = search;
            model.Postings = Api.GetData<Adams.Shared.Entities.Classifieds.PostingCollection>("Classifieds/SearchPostings", input);
            return model;
        }
    }
}
