﻿using System.Web.Mvc;

namespace Adams.Public.Web.Areas.Membership
{
    public class MembershipAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Membership";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "Membership_default",
                "MyAdams/{controller}/{action}/{id}",
                new { controller = "Home", action = "Index", id = "0" },
                new string[] { "Adams.Public.Web.Areas.Membership.Controllers" }
            );
        }
    }
}
