﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.Businesses
{
    public class Business
    {
        public int ID { get; set; }
        public Status Status { get; set; }
        public string Name { get; set; }
        public string Street { get; set; }
        public string Street2 { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string Zip { get; set; }
        public string Phone { get; set; }
        public string Description { get; set; }
        public DateTime CreatedOn { get; set; }
        public DateTime ExpiresOn { get; set; }
        public Entities.Businesses.Category Category { get; set; }
        public Entities.Membership.Member Member { get; set; }
    }

    public class BusinessCollection : List<Business>
    {

    }
}
