﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.Classifieds
{
    public class Posting
    {
        public int ID { get; set; }
        public Status Status { get; set; }
        public string Title { get; set; }
        public string Price { get; set; }
        public string Location { get; set; }
        public string ReplyTo { get; set; }
        public string Description { get; set; }
        public DateTime CreatedOn { get; set; }
        public DateTime ExpiresOn { get; set; }
        public Entities.Classifieds.Category Category { get; set; }
        public Entities.Membership.Member Member { get; set; }
    }

    public class PostingCollection : List<Posting>
    {

    }
}
