﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.Donations
{
    public class Quick
    {
        public int ID { get; set; }
        public Status Status { get; set; }
        public decimal Amount { get; set; }
        public string Title { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public string Street { get; set; }
        public string Street2 { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string ZipCode { get; set; }
        public string Phone { get; set; }
        public string CardHolderName { get; set; }
        public string CardType { get; set; }
        public string CardNumber { get; set; }
        public string CardLast4Digits { get; set; }
        public int CardExpireMonth { get; set; }
        public int CardExpireYear { get; set; }
        public string CardSecurityCode { get; set; }
        public int TransactionID { get; set; }
        public DateTime EnteredOn { get; set; }
        public DateTime ProcessedOn { get; set; }
        public Entities.Donations.Bucket Bucket { get; set; }
    }

    public class QuickCollection : List<OneTime>
    {

    }
}