﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Adams.Shared.Entities.Events
{
    public class Event
    {
        public int ID { get; set; }
        public string Title { get; set; }
        public string ShortDescription { get; set; }
        public string Location { get; set; }
        public string Description { get; set; }
        public DateTime StartDate { get; set; }
	    public DateTime EndDate { get; set; }
	    public int TimeZone { get; set; }
        public bool IsAllDay { get; set; }
        public bool IsRepeat { get; set; }
        public int RepeatType { get; set; }
        public int RepeatEndType { get; set; }
        public int RepeatEndOccurences { get; set; }
        public DateTime RepeatEndDate { get; set; }
        public int RepeatEvery { get; set; }
        public DateTime RepeatStartsOn { get; set; }
        public bool RepeatWeeklySun { get; set; }
        public bool RepeatWeeklyMon { get; set; }
        public bool RepeatWeeklyTeu { get; set; }
        public bool RepeatWeeklyWed { get; set; }
        public bool RepeatWeeklyThu { get; set; }
        public bool RepeatWeeklyFri { get; set; }
        public bool RepeatWeeklySat { get; set; }
        public int RepeatMonthlyBy { get; set; }

        public Calendar Calendar { get; set; }
        public OccuranceCollection Occurances { get; set; }
    }

    public class EventCollection : List<Event>
    {

    }
}
