﻿using System;
using System.Configuration;
using System.Data;
using System.Diagnostics;
using System.Globalization;
using System.Text;
using System.Web;

namespace Adams.Shared
{
    public static class EventWriter
    {
        public static void Write(string windowsEventLog, string windowsEventSource, string message, EventLogEntryType logEntryType)
        {
            using (EventLog oEventLog = new EventLog())
            {
                oEventLog.Log = windowsEventLog;
                oEventLog.Source = windowsEventSource;
                oEventLog.WriteEntry(message, logEntryType);
            }
        }
    }
}
