﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Adams.Web.Controllers
{
    public class PagesController : Controller
    {
        [AppendLayoutModel]
        public ActionResult Index(string url)
        {
            var model = Logic.Pages.Index.PageLoad(url);
            if (model.Page.ID == 0)
            {
                return HttpNotFound();
            }
            else
            {
                return View(MobileCheck.IsMobile() ? "Index.Mobile" : "Index", model);
            }
        }
    }
}
