﻿$(function () {
    $("#submit").click(function () {
        Submit();
    });

    $("#body").keypress(function (event) {
        if (event.which == '13') {
            Submit();
        }
    });
});

function Submit() {

    $("#submit").hide();
    var input = {
        BucketID: $("#BucketID").val(),
        Amount: $("#Amount").val(),
        Title: $("#Title").val(),
        FirstName: $("#FirstName").val(),
        LastName: $("#LastName").val(),
        Email: $("#Email").val(),
        Street: $("#Street").val(),
        Street2: $("#Street2").val(),
        City: $("#City").val(),
        State: $("#State").val(),
        ZipCode: $("#ZipCode").val(),
        Phone: $("#Phone").val(),
        CardHolderName: $("#CardHolderName").val(),
        CardType: $("#CardType").val(),
        CardNumber: $("#CardNumber").val(),
        CardExpireMonth: $("#CardExpireMonth").val(),
        CardExpireYear: $("#CardExpireYear").val(),
        CardSecurityCode: $("#CardSecurityCode").val()
    };

    Ajax({
        url: "/Donate/SavePayment",
        data: JSON.stringify(input),
        success: function (data) {
            if (data.IsValid == false) {
                ShowValidationErrors(data);
            } else if (data.IsSaved == true) {
                location.href = "/Donate/Confirm?d=" + data.ID;
            }
        },
        complete: function () {
            $("#submit").show();
        }
    });
}